<?php

/* DCMS Special
 * Дата последнего редактирования 02.01.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

if (isset($_GET['id'])) {
    $q = $db->super_query("SELECT COUNT(*) as count FROM `mini_chat` WHERE `id` = '" . intval($_GET['id']) . "'");
    if ($q['count'] == 1) {
        $post = $db->get_row($db->query("SELECT * FROM `mini_chat` WHERE `id` = '" . intval($_GET['id']) . "' LIMIT 1"));

        if ($post['id_user'] == 0) {
            $ank['id'] = 0;
            $ank['pol'] = 'guest';
            $ank['level'] = 0;
            $ank['nick'] = 'Гость';
        } else {
            $ank = get_user($post['id_user']);
        }

        if (access('mini_chat_clear')) {
            admin_log(lang('Мини чат'), lang('Удаление сообщения'), lang("Удаление сообщения от $ank[nick]"));
            $db->query("DELETE FROM `mini_chat` WHERE `id` = '$post[id]'");
        }
    }
}
if (isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER'] != NULL) {
    header('Location: ' . $db->safesql($_SERVER['HTTP_REFERER']));
} else {
    header('Location: index.php?' . SID);
}
    